New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Installation failure on 10.13 #192

Closed
ragnarkon opened this Issue Jul 27, 2017 · 5 comments

Comments

2 participants
@ragnarkon

ragnarkon commented Jul 27, 2017

Saw a few people on Twitter talk about PHP issues during installation on 10.13, but evidently none of them opened an issue.

Well... just installed 10.13 and I too am getting the PHP installation issue. Upon trying to authenticate to Spotify, it errors stating that it requires PHP 5.4.0 or later.

Ran the following, returns 7.1.7:

ragnarkon@mac:~ $ php -r 'print phpversion();'
7.1.7

Being relatively new to Alfred and almost zero experience with PHP, not sure where to start troubleshooting this on my own. But I'm certainly willing to help grab as much information as needed.

@ragnarkon ragnarkon changed the title from Installation on 10.13 to Installation failure on 10.13 Jul 27, 2017

@vdesabou vdesabou self-assigned this Jul 27, 2017

vdesabou added a commit that referenced this issue Jul 27, 2017

@vdesabou vdesabou added the bug label Jul 27, 2017

@vdesabou vdesabou added this to the 7.2.1 milestone Jul 27, 2017

@vdesabou

This comment has been minimized.

Show comment
Hide comment
@vdesabou

vdesabou Jul 27, 2017

Owner

First of all, thanks for opening an issue.

I've fixed the problem, can you download and install this BETA: https://transfer.sh/15eEgY/spotifyminiplayer-beta.alfredworkflow

Keep me posted

Owner

vdesabou commented Jul 27, 2017

First of all, thanks for opening an issue.

I've fixed the problem, can you download and install this BETA: https://transfer.sh/15eEgY/spotifyminiplayer-beta.alfredworkflow

Keep me posted

@ragnarkon

This comment has been minimized.

Show comment
Hide comment
@ragnarkon

ragnarkon Jul 27, 2017

@vdesabou Awesome.

d5af45a appears to have fixed it.

I had to reset the mini player settings and re-auth. But beyond that... was seamless.

ragnarkon commented Jul 27, 2017

@vdesabou Awesome.

d5af45a appears to have fixed it.

I had to reset the mini player settings and re-auth. But beyond that... was seamless.

@vdesabou

This comment has been minimized.

Show comment
Hide comment
@vdesabou

vdesabou Jul 27, 2017

Owner

I had to reset the mini player settings and re-auth

What was the reason for that ? I try to understand why upgrading to High Sierra would break settings

Owner

vdesabou commented Jul 27, 2017

I had to reset the mini player settings and re-auth

What was the reason for that ? I try to understand why upgrading to High Sierra would break settings

@ragnarkon

This comment has been minimized.

Show comment
Hide comment
@ragnarkon

ragnarkon Jul 28, 2017

I'm not sure.

Upgraded the workflow, then tried to re-authenticate. The PHP error went away, but a browser window never opened. Restarted Alfred and tried again. Didn't work. Cleared Safari history/cookies and tried again... still didn't work.

It was only after I reset the Mini Player settings (and restarted Alfred again) that it worked.

Not a huge deal for me because this was a fresh install of 10.13, with a fresh install of Alfrred. So there wasn't any settings that I lost. But still strange.

ragnarkon commented Jul 28, 2017

I'm not sure.

Upgraded the workflow, then tried to re-authenticate. The PHP error went away, but a browser window never opened. Restarted Alfred and tried again. Didn't work. Cleared Safari history/cookies and tried again... still didn't work.

It was only after I reset the Mini Player settings (and restarted Alfred again) that it worked.

Not a huge deal for me because this was a fresh install of 10.13, with a fresh install of Alfrred. So there wasn't any settings that I lost. But still strange.

@vdesabou vdesabou modified the milestones: 7.3, 7.2.1 Jul 29, 2017

@vdesabou

This comment has been minimized.

Show comment
Hide comment
@vdesabou
Owner

vdesabou commented Aug 11, 2017

@vdesabou vdesabou closed this Aug 11, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment